#
# spec file for package perl-CGI-Cookie-XS
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-CGI-Cookie-XS
Version:        0.18
Release:        4.1
License:        GPL+ or Artistic
%define cpan_name CGI-Cookie-XS
Summary:        HTTP Cookie parser in pure C
Url:            http://search.cpan.org/dist/CGI-Cookie-XS/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/A/AG/AGENT/CGI-Cookie-XS-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module implements a very simple parser for cookies used in HTTP
applications. We've found the CGI::Simple::Cookie manpage and the
CGI::Cookie manpage rather slow according to the profiling results for our
the OpenResty manpage project, hence the rewrite in C.

This library is still in *beta* stage and the API is still in flux. We're
just following the "release early, releaes often" guideline. So please
check back often ;)

Special effort has been made to ensure this module works in the same way as
the latest the CGI::Cookie manpage (i.e., the pure Perl implementation). If
you find it doesn't, please let us know.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README

%changelog
* Wed Jan 19 2011 coolo@novell.com
- initial package 0.18
  * created by cpanspec 1.78.03
